VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
JX10Processor Class Reference

`#include <mdaJX10Processor.h>`

Inheritance diagram for JX10Processor:

## Classes
struct | VOICE

## Public Types
using | Base = BaseProcessor

## Public Member Functions
| JX10Processor ()
| ~JX10Processor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
bool | hasProgram () const SMTG_OVERRIDE
Steinberg::uint32 | getCurrentProgram () const SMTG_OVERRIDE
Steinberg::uint32 | getNumPrograms () const SMTG_OVERRIDE
void | setCurrentProgram (Steinberg::uint32 val) SMTG_OVERRIDE
void | setCurrentProgramNormalized (ParamValue val) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0x82CD49DE, 0x13D743BA, 0xABDAC299, 0x1CE06F7C)

## Static Public Attributes
static const int32 | kNumPrograms = 52
static float | programParams [kNumPrograms][24]

## Protected Types
using | SynthDataT = SynthData< VOICE, kEventBufferSize, kNumVoices >

## Protected Member Functions
void | preProcess () SMTG_OVERRIDE
void | processEvent (const Event &event) SMTG_OVERRIDE
void | recalculate () SMTG_OVERRIDE
void | noteEvent (const Event &event)
void | setParameter (ParamID index, ParamValue newValue, int32 sampleOffset) SMTG_OVERRIDE
void | clearVoice (VOICE &v)

## Protected Attributes
SynthDataT | synthData
float | semi
| global internal variables
float | cent
float | tune
float | detune
float | filtf
float | fzip
float | filtq
float | filtlfo
float | filtenv
float | filtvel
float | filtwhl
float | oscmix
float | noisemix
float | att
float | dec
float | sus
float | rel
float | fatt
float | fdec
float | fsus
float | frel
float | lfo
float | dlfo
float | modwhl
float | press
float | pbend
float | ipbend
float | rezwhl
float | velsens
float | volume
float | voltrim
float | vibrato
float | pwmdep
float | lfoHz
float | glide
float | glidedisp
int32 | K
int32 | lastnote
int32 | veloff
int32 | mode
Steinberg::uint32 | noise
Steinberg::uint32 | currentProgram

## Static Protected Attributes
static constexpr int32 | kEventBufferSize = 64
static constexpr int32 | kNumVoices = 8
static const int32 | KMAX = 32

## Additional Inherited Members
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection

## Member Typedef Documentation

using Base = BaseProcessor

using SynthDataT = SynthData<VOICE, kEventBufferSize, kNumVoices>
| protected

## Constructor & Destructor Documentation

JX10Processor | ( |  | ) |

~JX10Processor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inline virtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from Processor.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

bool hasProgram | ( |  | ) | const
| inline virtual

Reimplemented from Processor.

Steinberg::uint32 getCurrentProgram | ( |  | ) | const
| inline virtual

Reimplemented from Processor.

Steinberg::uint32 getNumPrograms | ( |  | ) | const
| inline virtual

Reimplemented from Processor.

void setCurrentProgram | ( | Steinberg::uint32 | val | ) |
| virtual

Reimplemented from Processor.

void setCurrentProgramNormalized | ( | ParamValue | val | ) |
| virtual

Reimplemented from Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inline static

static DECLARE_UID | ( | uid | ,
|  | 0x82CD49DE | ,
|  | 0x13D743BA | ,
|  | 0xABDAC299 | ,
|  | 0x1CE06F7C |
| ) |  |
| inline static

void preProcess | ( |  | ) |
| protected virtual

Reimplemented from Processor.

void processEvent | ( | const Event & | event | ) |
| protected virtual

Reimplemented from Processor.

void recalculate | ( |  | ) |
| protected virtual

Reimplemented from Processor.

void noteEvent | ( | const Event & | event | ) |
| protected

void setParameter | ( | ParamID | index,
|  | ParamValue | newValue,
|  | int32 | sampleOffset
| ) |  |
| protected virtual

Reimplemented from Processor.

void clearVoice | ( | VOICE & | v | ) |
| protected

## Member Data Documentation

const int32 kNumPrograms = 52
| static

float programParams
| static

constexpr int32 kEventBufferSize = 64
| static protected

constexpr int32 kNumVoices = 8
| static protected

SynthDataT synthData
| protected

const int32 KMAX = 32
| static protected

float semi
| protected

global internal variables

float cent
| protected

float tune
| protected

float detune
| protected

float filtf
| protected

float fzip
| protected

float filtq
| protected

float filtlfo
| protected

float filtenv
| protected

float filtvel
| protected

float filtwhl
| protected

float oscmix
| protected

float noisemix
| protected

float att
| protected

float dec
| protected

float sus
| protected

float rel
| protected

float fatt
| protected

float fdec
| protected

float fsus
| protected

float frel
| protected

float lfo
| protected

float dlfo
| protected

float modwhl
| protected

float press
| protected

float pbend
| protected

float ipbend
| protected

float rezwhl
| protected

float velsens
| protected

float volume
| protected

float voltrim
| protected

float vibrato
| protected

float pwmdep
| protected

float lfoHz
| protected

float glide
| protected

float glidedisp
| protected

int32 K
| protected

int32 lastnote
| protected

int32 veloff
| protected

int32 mode
| protected

Steinberg::uint32 noise
| protected

Steinberg::uint32 currentProgram
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.